// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		D4E9EB2C223F91BC00D13C63 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = D4E9EB2B223F91BC00D13C63 /* AppDelegate.swift */; };
		D4E9EB2E223F91BC00D13C63 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = D4E9EB2D223F91BC00D13C63 /* ViewController.swift */; };
		D4E9EB31223F91BC00D13C63 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = D4E9EB2F223F91BC00D13C63 /* Main.storyboard */; };
		D4E9EB33223F91BD00D13C63 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = D4E9EB32223F91BD00D13C63 /* Assets.xcassets */; };
		D4E9EB36223F91BD00D13C63 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = D4E9EB34223F91BD00D13C63 /* LaunchScreen.storyboard */; };
		D4E9EB3F223F91DB00D13C63 /* ZNUDID.swift in Sources */ = {isa = PBXBuildFile; fileRef = D4E9EB3E223F91DB00D13C63 /* ZNUDID.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		D4E9EB28223F91BC00D13C63 /* Demo.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Demo.app; sourceTree = BUILT_PRODUCTS_DIR; };
		D4E9EB2B223F91BC00D13C63 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		D4E9EB2D223F91BC00D13C63 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		D4E9EB30223F91BC00D13C63 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		D4E9EB32223F91BD00D13C63 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		D4E9EB35223F91BD00D13C63 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		D4E9EB37223F91BD00D13C63 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		D4E9EB3E223F91DB00D13C63 /* ZNUDID.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ZNUDID.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		D4E9EB25223F91BC00D13C63 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		D4E9EB1F223F91BC00D13C63 = {
			isa = PBXGroup;
			children = (
				D4E9EB3D223F91DB00D13C63 /* Classes */,
				D4E9EB2A223F91BC00D13C63 /* Demo */,
				D4E9EB29223F91BC00D13C63 /* Products */,
			);
			sourceTree = "<group>";
		};
		D4E9EB29223F91BC00D13C63 /* Products */ = {
			isa = PBXGroup;
			children = (
				D4E9EB28223F91BC00D13C63 /* Demo.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		D4E9EB2A223F91BC00D13C63 /* Demo */ = {
			isa = PBXGroup;
			children = (
				D4E9EB2B223F91BC00D13C63 /* AppDelegate.swift */,
				D4E9EB2D223F91BC00D13C63 /* ViewController.swift */,
				D4E9EB2F223F91BC00D13C63 /* Main.storyboard */,
				D4E9EB32223F91BD00D13C63 /* Assets.xcassets */,
				D4E9EB34223F91BD00D13C63 /* LaunchScreen.storyboard */,
				D4E9EB37223F91BD00D13C63 /* Info.plist */,
			);
			path = Demo;
			sourceTree = "<group>";
		};
		D4E9EB3D223F91DB00D13C63 /* Classes */ = {
			isa = PBXGroup;
			children = (
				D4E9EB3E223F91DB00D13C63 /* ZNUDID.swift */,
			);
			name = Classes;
			path = ../Classes;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		D4E9EB27223F91BC00D13C63 /* Demo */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = D4E9EB3A223F91BD00D13C63 /* Build configuration list for PBXNativeTarget "Demo" */;
			buildPhases = (
				D4E9EB24223F91BC00D13C63 /* Sources */,
				D4E9EB25223F91BC00D13C63 /* Frameworks */,
				D4E9EB26223F91BC00D13C63 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Demo;
			productName = Demo;
			productReference = D4E9EB28223F91BC00D13C63 /* Demo.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		D4E9EB20223F91BC00D13C63 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1010;
				LastUpgradeCheck = 1010;
				ORGANIZATIONNAME = ncnk;
				TargetAttributes = {
					D4E9EB27223F91BC00D13C63 = {
						CreatedOnToolsVersion = 10.1;
					};
				};
			};
			buildConfigurationList = D4E9EB23223F91BC00D13C63 /* Build configuration list for PBXProject "Demo" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = D4E9EB1F223F91BC00D13C63;
			productRefGroup = D4E9EB29223F91BC00D13C63 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				D4E9EB27223F91BC00D13C63 /* Demo */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		D4E9EB26223F91BC00D13C63 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				D4E9EB36223F91BD00D13C63 /* LaunchScreen.storyboard in Resources */,
				D4E9EB33223F91BD00D13C63 /* Assets.xcassets in Resources */,
				D4E9EB31223F91BC00D13C63 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		D4E9EB24223F91BC00D13C63 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				D4E9EB2E223F91BC00D13C63 /* ViewController.swift in Sources */,
				D4E9EB2C223F91BC00D13C63 /* AppDelegate.swift in Sources */,
				D4E9EB3F223F91DB00D13C63 /* ZNUDID.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		D4E9EB2F223F91BC00D13C63 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				D4E9EB30223F91BC00D13C63 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		D4E9EB34223F91BD00D13C63 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				D4E9EB35223F91BD00D13C63 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		D4E9EB38223F91BD00D13C63 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.1;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		D4E9EB39223F91BD00D13C63 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.1;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		D4E9EB3B223F91BD00D13C63 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = Demo/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.ncnk.Demo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		D4E9EB3C223F91BD00D13C63 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = Demo/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.ncnk.Demo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		D4E9EB23223F91BC00D13C63 /* Build configuration list for PBXProject "Demo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				D4E9EB38223F91BD00D13C63 /* Debug */,
				D4E9EB39223F91BD00D13C63 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		D4E9EB3A223F91BD00D13C63 /* Build configuration list for PBXNativeTarget "Demo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				D4E9EB3B223F91BD00D13C63 /* Debug */,
				D4E9EB3C223F91BD00D13C63 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = D4E9EB20223F91BC00D13C63 /* Project object */;
}
